| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
cv::detail::FluidCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... >, UseScratch > Struct Template Reference

`#include <opencv2/gapi/fluid/gfluidkernel.hpp>`

Collaboration diagram for cv::detail::FluidCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... >, UseScratch >:

## Static Public Member Functions
static void | call (const cv::GArgs &in_args, const std::vector< gapi::fluid::Buffer * > &out_bufs)
template<int... IIs, int... OIs>
static void | call_impl (const cv::GArgs &in_args, const std::vector< gapi::fluid::Buffer * > &out_bufs, detail::Seq< IIs... >, detail::Seq< OIs... >)
static gapi::fluid::BorderOpt | getBorder (const GMetaArgs &metas, const cv::GArgs &in_args)
static int | getWindow (const GMetaArgs &metas, const cv::GArgs &in_args)
static void | init_scratch (const GMetaArgs &metas, const cv::GArgs &in_args, gapi::fluid::Buffer &b)
static void | reset_scratch (gapi::fluid::Buffer &scratch_buf)

## Member Function Documentation

## ◆ call()

template<typename Impl , typename... Ins, typename... Outs, bool UseScratch>

static void cv::detail::FluidCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... >, UseScratch >::call | ( | const cv::GArgs & | in_args,
|  | const std::vector< gapi::fluid::Buffer * > & | out_bufs )
| inline static

## ◆ call_impl()

template<typename Impl , typename... Ins, typename... Outs, bool UseScratch>
template<int... IIs, int... OIs>

static void cv::detail::FluidCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... >, UseScratch >::call_impl | ( | const cv::GArgs & | in_args,
|  | const std::vector< gapi::fluid::Buffer * > & | out_bufs,
|  | detail::Seq< IIs... > | ,
|  | detail::Seq< OIs... > | )
| inline static

## ◆ getBorder()

template<typename Impl , typename... Ins, typename... Outs, bool UseScratch>

static gapi::fluid::BorderOpt cv::detail::FluidCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... >, UseScratch >::getBorder | ( | const GMetaArgs & | metas,
|  | const cv::GArgs & | in_args )
| inline static

## ◆ getWindow()

template<typename Impl , typename... Ins, typename... Outs, bool UseScratch>

static int cv::detail::FluidCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... >, UseScratch >::getWindow | ( | const GMetaArgs & | metas,
|  | const cv::GArgs & | in_args )
| inline static

## ◆ init_scratch()

template<typename Impl , typename... Ins, typename... Outs, bool UseScratch>

static void cv::detail::FluidCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... >, UseScratch >::init_scratch | ( | const GMetaArgs & | metas,
|  | const cv::GArgs & | in_args,
|  | gapi::fluid::Buffer & | b )
| inline static

## ◆ reset_scratch()

template<typename Impl , typename... Ins, typename... Outs, bool UseScratch>

static void cv::detail::FluidCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... >, UseScratch >::reset_scratch | ( | gapi::fluid::Buffer & | scratch_buf | ) |
| inline static

The documentation for this struct was generated from the following file:

- opencv2/gapi/fluid/gfluidkernel.hpp